For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • GETList Dubs
      • POSTDub a video or audio file
      • GETGet dubbing
      • DELDelete dubbing
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIDubbing

Get dubbing

GET
/v1/dubbing/:dubbing_id
GET
/v1/dubbing/:dubbing_id
$curl https://api.elevenlabs.io/v1/dubbing/dubbing_id
1{
2 "dubbing_id": "21m00Tcm4TlvDq8ikWAM",
3 "name": "My Dubbing Project",
4 "status": "dubbed",
5 "source_language": "en",
6 "target_languages": [
7 "es",
8 "fr",
9 "de"
10 ],
11 "created_at": "2025-07-15T14:49:41.149000",
12 "editable": true,
13 "media_metadata": {
14 "content_type": "video/mp4",
15 "duration": 127.5
16 }
17}
Returns metadata about a dubbing project, including whether it's still in progress or not
Was this page helpful?
Previous

Delete dubbing

Next
Built with

Path parameters

dubbing_idstringRequired
ID of the dubbing project.

Headers

xi-api-keystringOptional

Response

Successful Response
dubbing_idstring
The ID of the dubbing project.
namestring
The name of the dubbing project.
statusstring
The state this dub is in.
source_languagestring or null

Once dubbing has completed, the ISO-639-1 code of the original media’s source language.

target_languageslist of strings

The ISO-639-1 code of the languages this media has been dubbed into.

created_atstringformat: "date-time"
Timestamp this dub was created.
editablebooleanDefaults to false
Whether this dubbing project is editable in Dubbing Studio.
media_metadataobject or null
Metadata, such as the length in seconds and content type, of the dubbed content.
errorstring or null
Error message indicate, if this dub has failed, what happened.

Errors

422
Unprocessable Entity Error